package com.anyway.util;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 分页对象
 *
 * @author liuchuanwei
 * @date 2024-02-25
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class Page {
    /** 页码 */
    private int pageNo;
    /** 每页大小 */
    private int pageSize;
    /** 排序字段 */
    private String sortName;
    /** 排序 */
    private String sortOrder;
    /** 总数 */
    private long total;
    /** 总页数 */
    private int totalPage;
}
